org.modeshape.jdbc.metadata

## Class MetadataProvider

- java.lang.Object
- - org.modeshape.jdbc.metadata.MetadataProvider

-     public class MetadataProvider
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<?,Object>[]` | `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetadataProvider(Map<?,Object>[] metadata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanValue(int columnIndex, Integer metadataPropertyKey)`
    `int` | `getColumnCount()`
    `static Map<Integer,Object>` | `getColumnMetadata(String catalogName, String tableName, String columnName, String dataType, Integer nullable, Connection driverConnection)`
    `static Map<Integer,Object>` | `getColumnMetadata(String catalogName, String tableName, String columnName, String dataType, Integer nullable, Integer searchable, Boolean writable, Boolean signed, Boolean caseSensitive, Connection driverConnection)`
    `int` | `getIntValue(int columnIndex, Integer metadataPropertyKey)`
    `String` | `getStringValue(int columnIndex, Integer metadataPropertyKey)`
    `Object` | `getValue(int columnIndex, Integer metadataPropertyKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### metadata

          protected Map<?,Object>[] metadata

  - ### Constructor Detail

    - #### MetadataProvider

          public MetadataProvider(Map<?,Object>[] metadata)

  - ### Method Detail

    - #### getValue

          public Object getValue(int columnIndex,
                        Integer metadataPropertyKey)

    - #### getColumnCount

          public int getColumnCount()

    - #### getStringValue

          public String getStringValue(int columnIndex,
                              Integer metadataPropertyKey)

    - #### getIntValue

          public int getIntValue(int columnIndex,
                        Integer metadataPropertyKey)

    - #### getBooleanValue

          public boolean getBooleanValue(int columnIndex,
                                Integer metadataPropertyKey)

    - #### getColumnMetadata

          public static Map<Integer,Object> getColumnMetadata(String catalogName,
                                              String tableName,
                                              String columnName,
                                              String dataType,
                                              Integer nullable,
                                              Connection driverConnection)

    - #### getColumnMetadata

          public static Map<Integer,Object> getColumnMetadata(String catalogName,
                                              String tableName,
                                              String columnName,
                                              String dataType,
                                              Integer nullable,
                                              Integer searchable,
                                              Boolean writable,
                                              Boolean signed,
                                              Boolean caseSensitive,
                                              Connection driverConnection)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.